## yandex-traffic-widget 0.1-1

=== tests/widget/Makefile ===
#############################################################################
# Makefile for building: widget
# Generated by qmake (2.01a) (Qt 4.6.0) on: ?? ????? 10 13:19:26 2010
# Project:  widget.pro
# Template: app
# Command: /opt/qt-4.6/bin/qmake -unix -o Makefile widget.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qt-4.6/mkspecs/linux-g++-64 -I. -I/opt/qt-4.6/include/QtCore -I/opt/qt-4.6/include/QtNetwork -I/opt/qt-4.6/include/QtGui -I/opt/qt-4.6/include/QtXml -I/opt/qt-4.6/include -I../../../yandex-traffic-widget -I../../../yandex-traffic-widget -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -Wl,-rpath,/opt/qt-4.6/lib
LIBS          = $(SUBLIBS)  -L/opt/qt-4.6/lib -lQtXml -L/opt/qt-4.6/lib -lQtGui -L/usr/X11R6/lib64 -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt-4.6/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		../../regions.cpp \
		../../settings.cpp \
		../../traffic.cpp \
		../../http_fetcher.cpp \
		../../mainwidget.cpp \
		../../light.cpp moc_traffic.cpp \
		moc_http_fetcher.cpp \
		moc_mainwidget.cpp \
		moc_light.cpp
OBJECTS       = main.o \
		regions.o \
		settings.o \
		traffic.o \
		http_fetcher.o \
		mainwidget.o \
		light.o \
		moc_traffic.o \
		moc_http_fetcher.o \
		moc_mainwidget.o \
		moc_light.o
DIST          = /opt/qt-4.6/mkspecs/common/g++.conf \
		/opt/qt-4.6/mkspecs/common/unix.conf \
		/opt/qt-4.6/mkspecs/common/linux.conf \
		/opt/qt-4.6/mkspecs/qconfig.pri \
		/opt/qt-4.6/mkspecs/features/qt_functions.prf \
		/opt/qt-4.6/mkspecs/features/qt_config.prf \
		/opt/qt-4.6/mkspecs/features/exclusive_builds.prf \
		/opt/qt-4.6/mkspecs/features/default_pre.prf \
		../../yandex-traffic-core.pri \
		../../yandex-traffic-gui.pri \
		/opt/qt-4.6/mkspecs/features/release.prf \
		/opt/qt-4.6/mkspecs/features/default_post.prf \
		/opt/qt-4.6/mkspecs/features/warn_on.prf \
		/opt/qt-4.6/mkspecs/features/qt.prf \
		/opt/qt-4.6/mkspecs/features/unix/thread.prf \
		/opt/qt-4.6/mkspecs/features/moc.prf \
		/opt/qt-4.6/mkspecs/features/resources.prf \
		/opt/qt-4.6/mkspecs/features/uic.prf \
		/opt/qt-4.6/mkspecs/features/yacc.prf \
		/opt/qt-4.6/mkspecs/features/lex.prf \
		/opt/qt-4.6/mkspecs/features/include_source_dir.prf \
		widget.pro
QMAKE_TARGET  = widget
DESTDIR       = 
TARGET        = widget

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: widget.pro  /opt/qt-4.6/mkspecs/linux-g++-64/qmake.conf /opt/qt-4.6/mkspecs/common/g++.conf \
		/opt/qt-4.6/mkspecs/common/unix.conf \
		/opt/qt-4.6/mkspecs/common/linux.conf \
		/opt/qt-4.6/mkspecs/qconfig.pri \
		/opt/qt-4.6/mkspecs/features/qt_functions.prf \
		/opt/qt-4.6/mkspecs/features/qt_config.prf \
		/opt/qt-4.6/mkspecs/features/exclusive_builds.prf \
		/opt/qt-4.6/mkspecs/features/default_pre.prf \
		../../yandex-traffic-core.pri \
		../../yandex-traffic-gui.pri \
		/opt/qt-4.6/mkspecs/features/release.prf \
		/opt/qt-4.6/mkspecs/features/default_post.prf \
		/opt/qt-4.6/mkspecs/features/warn_on.prf \
		/opt/qt-4.6/mkspecs/features/qt.prf \
		/opt/qt-4.6/mkspecs/features/unix/thread.prf \
		/opt/qt-4.6/mkspecs/features/moc.prf \
		/opt/qt-4.6/mkspecs/features/resources.prf \
		/opt/qt-4.6/mkspecs/features/uic.prf \
		/opt/qt-4.6/mkspecs/features/yacc.prf \
		/opt/qt-4.6/mkspecs/features/lex.prf \
		/opt/qt-4.6/mkspecs/features/include_source_dir.prf \
		/opt/qt-4.6/lib/libQtXml.prl \
		/opt/qt-4.6/lib/libQtCore.prl \
		/opt/qt-4.6/lib/libQtGui.prl \
		/opt/qt-4.6/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile widget.pro
/opt/qt-4.6/mkspecs/common/g++.conf:
/opt/qt-4.6/mkspecs/common/unix.conf:
/opt/qt-4.6/mkspecs/common/linux.conf:
/opt/qt-4.6/mkspecs/qconfig.pri:
/opt/qt-4.6/mkspecs/features/qt_functions.prf:
/opt/qt-4.6/mkspecs/features/qt_config.prf:
/opt/qt-4.6/mkspecs/features/exclusive_builds.prf:
/opt/qt-4.6/mkspecs/features/default_pre.prf:
../../yandex-traffic-core.pri:
../../yandex-traffic-gui.pri:
/opt/qt-4.6/mkspecs/features/release.prf:
/opt/qt-4.6/mkspecs/features/default_post.prf:
/opt/qt-4.6/mkspecs/features/warn_on.prf:
/opt/qt-4.6/mkspecs/features/qt.prf:
/opt/qt-4.6/mkspecs/features/unix/thread.prf:
/opt/qt-4.6/mkspecs/features/moc.prf:
/opt/qt-4.6/mkspecs/features/resources.prf:
/opt/qt-4.6/mkspecs/features/uic.prf:
/opt/qt-4.6/mkspecs/features/yacc.prf:
/opt/qt-4.6/mkspecs/features/lex.prf:
/opt/qt-4.6/mkspecs/features/include_source_dir.prf:
/opt/qt-4.6/lib/libQtXml.prl:
/opt/qt-4.6/lib/libQtCore.prl:
/opt/qt-4.6/lib/libQtGui.prl:
/opt/qt-4.6/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile widget.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/widget1.0.0 || $(MKDIR) .tmp/widget1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/widget1.0.0/ && $(COPY_FILE) --parents ../../regions.hpp ../../settings.hpp ../../traffic.hpp ../../http_fetcher.hpp ../../mainwidget.hpp ../../light.hpp .tmp/widget1.0.0/ && $(COPY_FILE) --parents main.cpp ../../regions.cpp ../../settings.cpp ../../traffic.cpp ../../http_fetcher.cpp ../../mainwidget.cpp ../../light.cpp .tmp/widget1.0.0/ && (cd `dirname .tmp/widget1.0.0` && $(TAR) widget1.0.0.tar widget1.0.0 && $(COMPRESS) widget1.0.0.tar) && $(MOVE) `dirname .tmp/widget1.0.0`/widget1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/widget1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_traffic.cpp moc_http_fetcher.cpp moc_mainwidget.cpp moc_light.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_traffic.cpp moc_http_fetcher.cpp moc_mainwidget.cpp moc_light.cpp
moc_traffic.cpp: ../../http_fetcher.hpp \
		../../traffic.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../traffic.hpp -o moc_traffic.cpp

moc_http_fetcher.cpp: ../../http_fetcher.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../http_fetcher.hpp -o moc_http_fetcher.cpp

moc_mainwidget.cpp: ../../traffic.hpp \
		../../http_fetcher.hpp \
		../../settings.hpp \
		../../regions.hpp \
		../../light.hpp \
		../../mainwidget.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../mainwidget.hpp -o moc_mainwidget.cpp

moc_light.cpp: ../../traffic.hpp \
		../../http_fetcher.hpp \
		../../light.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../light.hpp -o moc_light.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

regions.o: ../../regions.cpp ../../regions.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o regions.o ../../regions.cpp

settings.o: ../../settings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o ../../settings.cpp

traffic.o: ../../traffic.cpp ../../traffic.hpp \
		../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o traffic.o ../../traffic.cpp

http_fetcher.o: ../../http_fetcher.cpp ../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o http_fetcher.o ../../http_fetcher.cpp

mainwidget.o: ../../mainwidget.cpp ../../mainwidget.hpp \
		../../traffic.hpp \
		../../http_fetcher.hpp \
		../../settings.hpp \
		../../regions.hpp \
		../../light.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwidget.o ../../mainwidget.cpp

light.o: ../../light.cpp ../../light.hpp \
		../../traffic.hpp \
		../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o light.o ../../light.cpp

moc_traffic.o: moc_traffic.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_traffic.o moc_traffic.cpp

moc_http_fetcher.o: moc_http_fetcher.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_http_fetcher.o moc_http_fetcher.cpp

moc_mainwidget.o: moc_mainwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwidget.o moc_mainwidget.cpp

moc_light.o: moc_light.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_light.o moc_light.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
