=== debian/changelog ===
yandex-traffic-widget (0.1-1) unstable; urgency=low

  * First public version

 -- Max Lapan <max.lapan@gmail.com>  Tue, 16 Mar 2010 17:43:43 +0300
