=== debian/control ===
--- 
+++ 
@@ -16,3 +16,17 @@
  used to refresh data (GSM of WiFi).
  .
  First public release of Yandex.Traffic widget.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
+ 6QAAAIRQTFRFtbe0BCcCA0UANTc0PzkzREQ9Nkw7SUpIJF4XBm0GVlU9b1gA
+ WlxZMW8zbmYyaGlnAJ0McnRxmHoMgIA7enx5g4WCuYoAjY+MlZeUWq5eppxl
+ Wbk8nZ+cHdInBukA1bouAP8TDP8AAP8nu726J/4n0sCj58gbq8+qyMrH/tUT
+ /90f5efkZPXs5AAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBIWXMA
+ AAsTAAALEwEAmpwYAAAAB3RJTUUH2gMSERkVKfj0mQAAAQpJREFUKM9l0e1y
+ gyAQhWGaLVipEE1EbeMXjKWjvf/764IBsX1/JfsMk8wcQghRCqhs7Bq6vX9+
+ kT2k27qt2x4SJSFVU7kGQZMH1RWlU5RtkjwlLm0Qe+fpK3iNZu+SQqSqAsB3
+ zWTt1EjJE1JIQBExzimFLNJPR8EjdXf8oCL1PZyrI3Udfs2ube9rM4ATZUVR
+ XPey5LeQnBRFrrWey/zyohKiTt60/mtt6/4W20XrMT/ME4AOlc5ONO95yi9x
+ LybKcQ6V+cf3MWXpTsaY2ThiyZRMeDALZmbBklEYDHj3sizDmZgYl2ejYCkB
+ 2mCebwQ7T4n2GMZxeKAk1LopGaJwd5R/U/orO6b8BdsHJcFgj50+AAAAAElF
+ TkSuQmCC
